#include <stdio.h>

void saisirTab(int tab[],int n, int length){
  printf("Saisir des éléments dans [1,%d]\n",n);
  int i,v;
  for(i=0;i<length;i++){
    do{
      printf("%d > ",i);
      scanf("%d",&v);
    }while(v<1 || n<v);
    tab[i]=v;
  }
}

void afficheTab(int tab[],int length){
  int i;
  printf("=> [");
  if(length==0){
    printf("]");
  }
  else{
    printf("\033[32m%d\033[0m",tab[0]);
    for(i=1;i<length;i++){
      printf(",\033[32m%d\033[0m",tab[i]);
    }
    printf("]");
  } 
}

void occurences(int tab[],int n,int length){
  int i,v;
  int toccur[n+1];
  for(i=1;i<n+1;i++){
    toccur[i]=0;
  }
  for(i=0;i<length;i++){
    toccur[tab[i]]+=1;
  }
  for(i=1;i<n+1;i++){
    printf("=> La valeur %d est présente %d fois.\n",i,toccur[i]);
  }
}

int menu(){
  int choix;
  do{
     printf("\n Choix possible :\n");
     printf("\033[35m1\033[0m -> Saisir les elements\n");
     printf("\033[35m2\033[0m -> Afficher le tableau\n");
     printf("\033[35m3\033[0m -> Compter occurences\n");
     printf("\033[35m4\033[0m -> Quitter\n");
     printf("\nQue voulez-vous faire ? ");
     scanf(" %d",&choix);
  }while(choix<1 || choix>4);
   return choix;
}


int main(void){
 int n,length;
 int saisi=0;
  do{
    printf("Valeur de n (>=1) : ");
    scanf("%d",&n);
  }while(n<1);
  do{
    printf("Taille du tableau (dans [1,n]) : ");
    scanf("%d",&length);
  }while(length<1 || n<length);
  int tab[length];
  int choix;
  do{
    printf("\n");
    choix=menu();
    if(choix==1){
      saisirTab(tab,n,length);
      saisi=1;
    }
    else{
      if(saisi==0){
	printf("Tableau non saisi !!!\n");
      }
      else{
	if(choix==2){
	  afficheTab(tab,length);
	}
	if(choix==3){
	  occurences(tab,n,length);
	}
      }
    }
  }
  while(choix!=4);
}
  
